Kylix3 - debianra ?

Fórumok

Telepített már valaki Kylixot debianra? Úgy veszem észre, hogy csak .rpm csomagban csínálták meg, és még a deb csomagba való átkonvertálás sem hoz eredményt.
Van valakinek használható ötlete?

Hozzászólások

Ha átlag userként telepíted akkor nem telepíti az rpm-eket és akkor is megy.

A 2.5 2.6 kernelnél van probléma az IDE-ben a debugolással, valami egyszerű bash válzozóval meg lehet oldani. Ha kell meg keresem.

Egy kollégám derítetteki, hogy 2.6 -os kernelnél mér fagy le debuggolás közben állandóan az IDE:
Az LD_ASSUME_KERNEL=2.4.21 az alább látható helyre kell betenni a StartDelphi file-ba.

A StartDelphi fájl:

#!/bin/bash

# BEGIN STRING TABLE
KYDEF_LOCALE="en_US"
LC_ALL_IS_C1="The LC_ALL environment variable is set to C. Kylix cannot start with this setting."
LC_ALL_IS_C2="Defaulting LC_ALL to"

LD_ASSUME_KERNEL=2.4.21
export LD_ASSUME_KERNEL
# END STRING TABLE

if [ -z "$LANG" ]; then
LANG=$KYDEF_LOCALE
export LANG
fi
if [ "$LC_ALL" = "C" ]; then
echo "$LC_ALL_IS_C1"
echo "$LC_ALL_IS_C2 $KYDEF_LOCALE."
LC_ALL=$KYDEF_LOCALE
export LC_ALL
fi

source /usr/local/kylix3/bin/kylixpath /usr/local/kylix3 >/dev/null
/usr/local/kylix3/bin/delphi $*

Sziasztok,

Nem olvastam el az összes levet, de én a mai napig fejlesztek Kylix 3 Prof. alatt és eredményesnek mondhatom magam. Vállalom hogy hátulgombolós programozó vagyok stb... :-)

http://www.pergersoft.hu

Szóval a tapasztalatok. SuSE 8.0, 8.2, 9.0, UHU 1.0-1.1, RedHat 7.2-8.0, Fedora Core 2-3-4 azok a rendszerek amelyeken sikeresen futtattam a Kylix Prof 3-at. Debian 3.1 alá a héten a rendes telepítő segítségével (setup.sh-val) normál felhasználóként sikerült felraknom, ilyenkor a felhasználó könyvtárába települ. De csak a 2.4-es kernellel tudtam debian 3.1 alatt elindítani, a kész programok futnak a 2.6-os debian official kernel alatt is, de nekem debian alatt a fontok (iso-8859-2) nem akarnak működni, a többi rendszer alatt ezzel nincs gondom.

Ide másolnám egy korábbi levelemet:

Ha segítség kell a Kylix futtatásához szívesen segítek, segítsünk egymásnak! Én sikeresen futtattam a Kylix 3 Prof. (Delphi IDE) fejlesztőeszközt a következő disztribúciókon: RedHat 7.2-7.3, RedHat 8, SuSE 8.2-9.0, UHU 1.1.1, Fedora Core 2-3.

Jelenleg az FC3-at csak tesztelem, de eddig nincs gondom. Az FC verziók alá pedig kell egy kis trükk... (ezek az IDE futtatásához kellenek, debug, stb..)
a "stratdelphi" script-be kell írni (IDE futtatás)

LD_ASSUME_KERNEL = 2.4.0

egy kis beírás a "/etc/rc.d/rc.local" fájlba (Debug thread)

echo > 1 /proc/sys/vm/legacy_va_layout

A CrossKylix (http://crosskylix.untergrund.net/execshield.shtml) oldalán elérhető egy patch ami a programok futtatásához kell az új kernelek alatt, a fordító hiányosságait javítja. Néhány oldal ahonnét én is összeszedtem a dolgaimat:
http://www.kylix.hu
http://www.drbob42.com
http://crosskylix.untergrund.net
http://www.kylix-patch.de.vu

Az utolsó linken lehet találni egyéb patch-eket a C++-os Kylix futtatásához.

Egy apró megjegyzés, ahogy a kernel-t, KDE-t, GNOME-ot, stb... fejlesztik a Kylix-ot is javítgatni kell, de a Borland-nak nincs ereje/pénze rá, ezek a javítások OpenSource megoldások, én csak fejet hajtani tudok a szerzők előtt!!!!

PergerSoft - http://www.pergersoft.hu/